slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVGetArrayRead

Returns a read-only pointer to a contiguous array that contains this processor's portion of the BV data.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetArrayRead(BV bv,const PetscScalar **a)

Not Collective

### Input Parameters

| bv | - the basis vectors context

### Output Parameter

| a | - location to put pointer to the array

### Notes

BVRestoreArrayRead() must be called when access to the array is no longer needed. This operation may imply a data copy, for BV types that do not store data contiguously in memory.

The pointer will normally point to the first entry of the first column, but if the BV has constraints then these go before the regular columns.

### See Also

BVRestoreArray(), BVInsertConstraints(), BVGetLeadingDimension(), BVGetArray()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages